Name: tin
Version: 1.6.2
Release: 0.fdr.2.1
Epoch: 0
Summary: A basic Internet news reader.
Group: Applications/Internet
License: Distributable
URL: http://www.tin.org/
Source:  ftp://ftp.tin.org/pub/news/clients/tin/v1.6/tin-1.6.2.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ncurses-devel, byacc, desktop-file-utils, pcre-devel

#---------------------------------------------------------------------

%description
Tin is a basic, easy to use Internet news reader.  Tin can read news
locally or remotely via an NNTP (Network News Transport Protocol)
server.

Install tin if you need a basic news reader.

#---------------------------------------------------------------------

%prep
%setup -q

#---------------------------------------------------------------------

%build
%configure \
	--with-libdir=/var/lib/news \
	--with-spooldir=/var/spool/news/articles \
	--enable-nntp \
	--enable-prototypes \
	--disable-echo \
	--disable-mime-strict-charset \
	--enable-color \
	--enable-ncurses \
	--enable-locale \
	--with-pcre

%{__perl} -pi -e 's/\@\$\(INSTALL\) -s/\@\$\(INSTALL\)/g' src/Makefile

%{__make} clean %{?_smp_mflags}
%{__make} build %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS -I%{_includedir}/pcre"

#---------------------------------------------------------------------

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

cat > tin.desktop <<EOF
[Desktop Entry]
Name=Tin
Type=Application
Comment=Internet news reader
Exec=tin
Terminal=true
EOF

desktop-file-install --vendor fedora --delete-original \
  --dir %{buildroot}%{_datadir}/applications           \
  --add-category X-Fedora                              \
  --add-category Application                           \
  --add-category Network                               \
  %{name}.desktop

# url_handler.sh conflicts with mutt
%{__rm} -f $RPM_BUILD_ROOT/%{_bindir}/url_handler.sh

#---------------------------------------------------------------------

%clean
%{__rm} -rf $RPM_BUILD_ROOT

#---------------------------------------------------------------------

%files
%defattr(-,root,root)
%doc README doc/*
%{_bindir}/tin
%{_bindir}/rtin
%{_bindir}/metamutt
%{_bindir}/opt-case.pl
%{_bindir}/w2r.pl
%{_mandir}/man1/*
%{_mandir}/man5/*
/usr/share/locale/*/*/*
%{_datadir}/applications/*%{name}.desktop

#---------------------------------------------------------------------

%changelog
* Thu Jun 24 2004 Adrian Reber <adrian@lisas.de> - 0:1.6.2-0.fdr.2
- changed BuildRequires from bison to byacc
- added pcre-devel as BuildRequires
- replaced all commands with rpmmacros
- made make use RPM_OPT_FLAGS

* Sat Nov 23 2003 Adrian Reber <adrian@lisas.de> - 0:1.6.2-0.fdr.1
- updated to 1.6.2

* Fri Jun 06 2003 Adrian Reber <adrian@lisas.de> - 0:1.4.7-0.fdr.2
- remove stripping from Makefile; let rpm strip the binaries
- moved the documentation from docdir/doc to docdir

* Sat May 31 2003 Adrian Reber <adrian@lisas.de> - 0:1.4.7-0.fdr.1
- updated to 1.4.7
- Source now macroless
- BuildRoot changed to the format from the fedora spec template
- added smp_mflags to the makes
- more fedorafication

* Thu May 01 2003 Adrian Reber <adrian@lisas.de> - 0:1.4.6-0.fdr.3
- Added BuildRequires: bison, desktop-files-utils
- removed --verbose and --mandir from configure
- s/X-Red-Hat-Extra/X-Fedora/ in desktop-file-install
- added release macro to BuildRoot

* Tue Feb 25 2003 Adrian Reber <adrian@lisas.de> - 1.4.6-1.fedora.1
- applied fedora naming conventions

* Tue Aug 22 2000 Than Ngo <than@redhat.com>
- add applink file (Bug #16568)

* Mon Aug 07 2000 Preston Brown <pbrown@redhat.com>
- 1.4.4 fixes buffer overflow, memory leaks.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 02 2000 Preston Brown <pbrown@redhat.com>
- fix spooldir to be /var/spool/news/articles not /var/spool/news

* Fri Mar 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with current ncurses

* Thu Feb 17 2000 Preston Brown <pbrown@redhat.com>
- rebuild with new vi in the buildroots so it finds the right default editor

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- bump epoch

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- upgrade to 1.4.2 (stable)

* Mon May 31 1999 Jeff Johnson <jbj@redhat.com>
- update to tinpre-1.4-19990517.
- fix libdir=/var/lib/news (#7).
- fix spooldir=/var/spool/news.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- upgraded to latest dev version snapshot.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Dec 22 1998 Preston Brown <pbrown@redhat.com>
- upgraded again to latest snapshot.

* Fri Nov 06 1998 Preston Brown <pbrown@redhat.com>
- Alan is right; 1.22 is full of bugs and ANCIENT. Moved to latest tin.

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 24 1998 Alan Cox <alan@redhat.com>
- turned on DONT_LOG_USER - get rid of the silly file in /tmp. We probably
  ought to move to a newer tin soon.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Mon Nov 3 1997 Erik Troan <ewt@redhat.com>
- hacked to use just termios, not a motley mix of termios and termio

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
